ChangeSet 1.808.2.10, 2002/10/23 11:27:03-07:00, arnaud.quette@mgeups.com

[PATCH] drivers/usb/input/hiddev.c: fix hiddev_connect issue when

The following one line patch (against 2.5.44) fixes an index problem when
connecting a new hiddev
device, when kernel isn't compiled with CONFIG_USB_DYNAMIC_MINORS. Previous
attempt to open
hiddev device terminated with an ENODEV error. Note that this fix works with
either dynamic minors
flag enabled or not.


diff -Nru a/drivers/usb/input/hiddev.c b/drivers/usb/input/hiddev.c
--- a/drivers/usb/input/hiddev.c	Mon Oct 28 13:55:05 2002
+++ b/drivers/usb/input/hiddev.c	Mon Oct 28 13:55:05 2002
@@ -701,7 +701,7 @@
 	init_waitqueue_head(&hiddev->wait);
 
 	hiddev->minor = minor;
-	hiddev_table[minor] = hiddev;
+	hiddev_table[minor - HIDDEV_MINOR_BASE] = hiddev;
 
 	hiddev->hid = hid;
 	hiddev->exist = 1;
